# Get Docker cleanup settings

Source: https://next.coolify.io/docs/api/endpoints/servers/get-server-docker-cleanup

## GET /servers/{uuid}/docker-cleanup

Get Docker cleanup settings

Get Docker cleanup settings for a server owned by the authenticated team.

**Authentication:** Bearer token (`bearerAuth`)

### Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| uuid | path | yes | string | Server UUID |

### Responses

#### 200

Docker cleanup settings.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| docker_cleanup_frequency | string | no |  |
| docker_cleanup_threshold | integer | no |  |
| force_docker_cleanup | boolean | no |  |
| delete_unused_volumes | boolean | no |  |
| delete_unused_networks | boolean | no |  |
| disable_application_image_retention | boolean | no |  |

#### 400

Invalid token.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 401

Unauthenticated.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 404

Resource not found.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |
